Bug 537611

Summary: SELinux is preventing /usr/bin/slim "sigchld" access.
Product: [Fedora] Fedora Reporter: d. johnson <drjohnson1>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: cliffbondsquad, dwalsh, fabian.kanngiesser, fabioortlieb, fedora, fry.kun, gangster2000, giantpie, hans.gatu, h.pawan, jk, jl.deloos, mgrepl, mockusmeister, morgankevinj, mysteriousdarren, Respect_the_Pod, stephenwday, stereoplegic, thiago.schiavo, tomaszgalazka2, wally
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:99abbdc3335bcae8c693d36f1e2976c199def9d9705a8dfa85a26ca01960c32e
Fixed In Version: 3.6.32-46.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-24 07:49:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description d. johnson 2009-11-15 01:33:56 UTC
Summary:

SELinux is preventing /usr/bin/slim "sigchld" access.

Detailed Description:

SELinux denied access requested by slim. It is not expected that this access is
required by slim and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Objects                None [ process ]
Source                        slim
Source Path                   /usr/bin/slim
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           slim-1.3.1-8.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686.PAE
                              #1 SMP Sat Nov 7 21:25:57 EST 2009 i686 i686
Alert Count                   1
First Seen                    Sat 14 Nov 2009 07:32:55 PM CST
Last Seen                     Sat 14 Nov 2009 07:32:55 PM CST
Local ID                      79244889-be1e-4ec4-b2e7-15a03431fa6e
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258248775.816:22): avc:  denied  { sigchld } for  pid=29613 comm="slim" scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1258248775.816:22): arch=40000003 syscall=7 success=no exit=-13 a0=73ae a1=bfccc7f8 a2=0 a3=bfccc7f8 items=0 ppid=1361 pid=29613 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm="slim" exe="/usr/bin/slim" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,slim,xauth_t,xdm_t,process,sigchld
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t xdm_t:process sigchld;

Comment 1 Daniel Walsh 2009-11-16 15:24:22 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-46.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:38:25 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:12:22 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:47:20 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.